getVersionInfo
Returns version information for the RPC server and its captive core. This method uses 160 credits from your daily balance.
Parameters
None
Returns
result: (object) - Version information.
version: (string) - Version of the RPC server.commitHash: (string) - Commit hash of the RPC server.buildTimestamp: (string) - Build timestamp of the RPC server.captiveCoreVersion: (string) - Version of captive core.protocolVersion: (integer) - Protocol version.
Request
- curl
curl https://stellar-mainnet.infura.io/v3/<YOUR-API-KEY> \
-X POST \
-H "Content-Type: application/json" \
-d '{"jsonrpc": "2.0", "id": 1, "method": "getVersionInfo"}'
Response
- JSON
{
"jsonrpc": "2.0",
"id": 1,
"result": {
"version": "29.0.0-b2b701685c79aee17fe4eb22dbd08a5dfd11594d",
"commitHash": "b2b701685c79aee17fe4eb22dbd08a5dfd11594d",
"buildTimestamp": "2026-09-22T14:52:44",
"captiveCoreVersion": "stellar-core 29.0.0 (4eb83337380a29ad0907f4e32196ce97b8dc7649)",
"protocolVersion": 29
}
}